
Katello - Bug #5473

Make sure consumer can't change other than its own resources

04/28/2014 01:09 PM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The consumer authrozition was being skipped, so the consumer certificate

could modify other's consumer related stuff.

Since this change was not released yet, not filling CVE for this one

Associated revisions

Revision cb6b5bda - 05/05/2014 11:44 AM - Ivan Necas

Fixes #5473 - make authorization rules apply for consumer related calls

Revision 8e08d1df - 05/05/2014 11:44 AM - Ivan Necas

Refs #5473 - unify client authentication code

History

#1 - 04/28/2014 02:21 PM - Ivan Necas

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4013

#2 - 05/06/2014 03:52 PM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:cb6b5bda884e6dae3806c2acd8db52433cddcdc3.

#3 - 05/27/2014 05:08 PM - Eric Helms

- Target version set to 44

#4 - 06/06/2014 01:08 PM - Eric Helms

- Triaged changed from No to Yes

#5 - 08/22/2014 08:05 AM - Eric Helms

- translation missing: en.field_release set to 13
